package com.fjhx.service.working;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.working.WorkingRouteProcedure;
import com.fjhx.params.working.WorkingRouteProcedureVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 工艺路线工序关联表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
public interface WorkingRouteProcedureService extends BaseService<WorkingRouteProcedure> {

    Page<WorkingRouteProcedure> getPage(Map<String, String> condition);

    void add(WorkingRouteProcedureVo workingRouteProcedureVo);

    void edit(WorkingRouteProcedureVo workingRouteProcedureVo);

    void delete(WorkingRouteProcedureVo workingRouteProcedureVo);

}
